Bug 164051 - AX: WebKit is incorrectly mapping the <meter> element to progressbar
Summary: AX: WebKit is incorrectly mapping the <meter> element to progressbar
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: chris fleizach
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-10-27 01:53 PDT by James Craig
Modified: 2019-02-23 08:11 PST (History)
11 users (show)

See Also:


Attachments
patch (11.82 KB, patch)
2019-02-22 17:56 PST, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Craig 2016-10-27 01:53:30 PDT
According to: https://github.com/w3c/aria/issues/451

AX: WebKit is incorrectly mapping the <meter> element to progressbar. This is probably my fault.
Comment 1 James Craig 2016-10-27 01:55:53 PDT
More here: https://github.com/w3c/html-aam/issues/2
Comment 2 Radar WebKit Bug Importer 2016-11-01 17:04:54 PDT
<rdar://problem/29055615>
Comment 3 Joanmarie Diggs (irc: joanie) 2019-02-05 11:27:44 PST
James: Ping.

What's the verdict on the correct mappings? HTML-AAM lists nothing for your platform, and I don't know what to put in the Core-AAM for the new meter role we have in ARIA.

Thanks!
Comment 4 chris fleizach 2019-02-22 17:56:58 PST
Created attachment 362808 [details]
patch
Comment 5 WebKit Commit Bot 2019-02-23 08:11:47 PST
Comment on attachment 362808 [details]
patch

Clearing flags on attachment: 362808

Committed r241989: <https://trac.webkit.org/changeset/241989>
Comment 6 WebKit Commit Bot 2019-02-23 08:11:48 PST
All reviewed patches have been landed.  Closing bug.